Loading...
Searching...
No Matches
ViewFactory Class Referenceabstract

The ViewFactory class is a pure virtual that provides a method of dynamically adding views to the MultiViewWidget class. More...

`#include <avogadro/qtgui/viewfactory.h>`

## Public Member Functions

virtual QStringList | views () const =0
| Get the list of views the factory provides.
virtual QWidget * | createView (const QString &view)=0
| Create a named view, the caller assumes ownership of the widget.

## Detailed Description

Author
  Marcus D. Hanwell

## Member Function Documentation

## views()

virtual QStringList views | ( |  | ) | const

pure virtual

Returns
  A list of supported views.

## createView()

virtual QWidget * createView | ( | const QString & | view | ) |

pure virtual

Parameters

  view | The name of the view.

Returns
  A new widget of the requested type, nullptr if none exists.

The documentation for this class was generated from the following file:

- viewfactory.h